﻿--
-- see: http://www.wowace.com/projects/buffinformant/localization/
--

BuffInformant_Locale = {
	broker_tooltip = "Left-Click to un-/lock the splash box.\
Right-Click for options.",
	buffendcolor_name = "Buff end color",
	buffstartcolor_name = "Buff start color",
	debuffendcolor_name = "Debuff end color",
	debuffstartcolor_name = "Debuff start color",
	font_desc = "Choose a font.",
	font_name = "Font",
	grp_colors_name = "Colors",
	grp_display_name = "Display Settings",
	grp_list_name = "List of all de-/buffs",
	grp_newbuff_name = "Add a new Buff to the list",
	grp_version_name = "Version %s (Core %s)",
	holdtime_desc = "How long should a message be displayed? (Except timer)",
	holdtime_name = "Hold Time",
	insertmode_BOTTOM = "Bottom",
	insertmode_desc = "Should the buffs be listed top-down or don-top?",
	insertmode_name = "Insert Mode",
	insertmode_TOP = "Top",
	list_desc = "Be careful when editing.",
	list_name = "List",
	locked_desc = "You can move it, while it's shown.\
\
This setting cam also be changed trough the Icon (on the FuBar, ... ).",
	locked_name = "Show Splash Box",
	nb_add_desc = "Which makes this settings active.",
	nb_add_name = "Add to list",
	nb_display_1 = "- Please Select -",
	nb_display_2 = "Show Start",
	nb_display_3 = "Show End",
	nb_display_4 = "Show Both",
	nb_display_5 = "Show Timer",
	nb_display_desc = "How shuld the de-buff be displayed?",
	nb_display_name = "Display",
	nb_name_desc = "It's case insensitive.",
	nb_name_name = "Name of the de-/buff",
	nb_restrict_desc = "Optional: Enter an comma separated list of characternames or ENGLISH classnames.\
\
This de-/buff will only be displayed when at least one matches.",
	nb_restrict_name = "Restrictions",
	nb_showicon_desc = "Show an Icon?",
	nb_showicon_name = "Show Icon",
	nb_text_desc = "By default each de-/buff it displayed with it's name, but you can change it.",
	nb_text_name = "Display as",
	nb_unit_desc = "From which unit should the de-/buff checked.",
	nb_unit_name = "Unit",
	nb_unit_pet = "Pet",
	nb_unit_player = "Player",
	nb_unit_target = "Target",
	showicon_D = "Default",
	showicon_desc = "Show an icon?",
	showicon_N = "No",
	showicon_name = "Icon",
	showicon_Y = "Yes",
	xbuffxxxcolor_desc = "Colors on enemies do swap between de-/buff.",
}

local function update_locale(lang, loc)
	if lang == GetLocale() then
		for k,v in pairs(loc) do
			BuffInformant_Locale[k] = v
		end -- for
	end -- if
end

update_locale('deDE', {
	broker_tooltip = "Links-Klick zum entsperren der Splash Box.\
Rechts-Klick für Optionen.",
	buffendcolor_name = "Buff Ende Farbe",
	buffstartcolor_name = "Buff Start Farbe",
	debuffendcolor_name = "Debuff Ende Farbe",
	debuffstartcolor_name = "Debuff Start Farbe",
	font_desc = "Wähle einen Font.",
	font_name = "Font",
	grp_colors_name = "Farben",
	grp_display_name = "Anzeigen Einstellungen",
	grp_list_name = "Liste aller Buffs",
	grp_newbuff_name = "Einen neuen De-/Buff zur Liste hinzufügen",
	grp_version_name = "Version %s (Core %s)",
	holdtime_desc = "Wie lange soll ein Buff angezeigt werden? (Ausser Timer)",
	holdtime_name = "Anzeige Zeit",
	insertmode_BOTTOM = "Unten",
	insertmode_desc = "In welcher Reihenfolge sollen die De-/Buffs angezeigt werden?",
	insertmode_name = "Einfüge Modus",
	insertmode_TOP = "Oben",
	list_desc = "Sei Vorsichtig beim bearbeiten.",
	list_name = "Liste",
	locked_desc = "Sie kann bewegt werden, während sie angezeigt wird.\
\
Diese einstellung kann auch durch das Icon (an der FuBar, ...) geändert werden.",
	locked_name = "Zeige Splash Box",
	nb_add_desc = "Erst das macht die Einstellung aktiv.",
	nb_add_name = "Zur Liste hinzufügen",
	nb_display_1 = "- Bitte Auswählen -",
	nb_display_2 = "Zeige Start",
	nb_display_3 = "Zeige Ende",
	nb_display_4 = "Zeige Beides",
	nb_display_5 = "Zeige Timer",
	nb_display_desc = "Wie soll der De-/Buff dargestellt werden?",
	nb_display_name = "Anzeige",
	nb_name_desc = "Gross/kleinscreibung ist egal, aber sieht möglicherweise komisch aus.",
	nb_name_name = "Name des De-/Buffs",
	nb_restrict_desc = "Optional: Eine Komma getrenne Liste von Cahraternamen oder ENGLISCHEN Klassennamen.\
\
Dieser De-/Buff wird nur angezeigt, wenn es mindestens eine Übereinstimmung gibt.",
	nb_restrict_name = "Einschränkungen",
	nb_showicon_desc = "Zeige ein Icon?",
	nb_showicon_name = "Zeige Icon",
	nb_text_desc = "Normalerweise wird jeder De-/Buff mit seinem Namen angezeigt, das kann hier geändert werden.",
	nb_text_name = "Anzeigen als",
	nb_unit_desc = "Von welcher Einheit soll der De-/Buff ueberprüft werden.",
	nb_unit_name = "Einheit",
	nb_unit_pet = "Begleiter",
	nb_unit_player = "Spieler",
	nb_unit_target = "Ziel",
	showicon_D = "Standard",
	showicon_desc = "Zeige ein Icon?",
	showicon_N = "Nein",
	showicon_name = "Icon",
	showicon_Y = "Ja",
	xbuffxxxcolor_desc = "Bei Gegnern wird die Farbe vom De-/Buff getauscht.",
})
